package com.example.demo.core.session;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.web.context.WebApplicationContext;

// Класс конфигурации для управления сессионными компонентами
@Configuration
public class SessionHelper {
    // Определение компонента SessionCart
    @Bean
    @Scope(value = WebApplicationContext.SCOPE_SESSION, proxyMode = ScopedProxyMode.TARGET_CLASS)
    SessionCart todos() {
        return new SessionCart();
    }
}
