package com.example.demo.orders.model;

import com.example.demo.types.model.TypeEntity;

// Заказы, сгруппированные по типу
public interface OrderGrouped {
    // Тип заказов
    TypeEntity getType();

    // Общая сумма заказов
    double getTotalPrice();

    // Общее количество заказов
    int getTotalCount();
}
