package com.example.demo.types.repository;

import java.util.Optional;

import org.springframework.data.repository.CrudRepository;

import com.example.demo.types.model.TypeEntity;

// Хранилище для сущности "Тип" (Тип книги)
public interface TypeRepository extends CrudRepository<TypeEntity, Long> {
    // Найти тип по названию (без учета регистра)
    Optional<TypeEntity> findByNameIgnoreCase(String name);
}
